View Issue Details

IDProjectCategoryView StatusLast Update
0010296mantisbtpreferencespublic2019-01-11 02:59
ReporternobswolfAssigned Tocproensa 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.2.0a3 
Target VersionFixed in Version 
Summary0010296: single project is not selected
Description

if there is only one project in a new tracker, there is no way to select it directly

that confuses some tools like the CSV-import

solution-idea: select the first project that is created even if there is no report so far

Steps To Reproduce

create a new tracker

create a single project

import issues via CSV

Additional Information

workaround:

create a dummy report and delete it after the import

TagsNo tags attached.

Relationships

related to 0014268 closedcproensa "Report Issue" is missing if the user has access to only private projects, but has not selected a project from the dropdown. 
related to 0009826 closeddregad Single project user should default to the project, not All Projects 

Activities

jreese

jreese

2009-04-07 16:20

reporter   ~0021419

Paul, this is a consequence of the change you made, so I'm giving you the honors of fixing it. :)

grangeway

grangeway

2009-05-24 07:32

reporter   ~0021897

What's this about?

We don't have a csv import functionality in core.

There is a xml import plugin - does this also handle csv?

nobswolf

nobswolf

2009-06-09 03:36

reporter   ~0022062

I use Csv_import 1.1.0 "import CSV file"; Author: Udo Sommer

I guess other modules have the same trouble if the "no current project"-issue is handled "too late" in Mantis 1.2.

My suggestion is: the method that returns the current project returns the default project if no project is selected; so it never returns "no current project". I'd say that is a good fallback behaviour and fits into a normal workflow.

cproensa

cproensa

2019-01-01 07:53

developer   ~0061126

Last edited: 2019-01-01 07:53

View 2 revisions

Solved with related 0009826
If some plugin can't work with "all projects" and needs a specific project, it should implement a validation and force a project selection.
For example, see how the standard report action redirects to login_select_proj_page.php.

Issue History

Date Modified Username Field Change
2009-04-07 01:32 nobswolf New Issue
2009-04-07 16:20 jreese Note Added: 0021419
2009-04-07 16:20 jreese Assigned To => grangeway
2009-04-07 16:20 jreese Status new => assigned
2009-04-07 16:20 jreese Target Version => 1.2.2
2009-05-04 14:27 siebrand Target Version 1.2.2 => 1.x.x
2009-05-24 07:32 grangeway Note Added: 0021897
2009-06-09 03:36 nobswolf Note Added: 0022062
2012-09-18 10:33 dregad Relationship added related to 0014268
2014-11-07 16:38 atrol Assigned To grangeway =>
2014-11-07 16:38 atrol Status assigned => new
2014-12-08 02:10 atrol Target Version 1.3.0-beta.1 => 1.3.0-beta.2
2015-03-15 20:00 dregad Target Version 1.3.0-beta.2 => 1.3.0-beta.3
2015-09-06 17:47 vboctoradmin Target Version 1.3.0-beta.3 => 1.3.0-rc.1
2015-12-06 02:55 vboctor Target Version 1.3.0-rc.1 => 1.3.0-rc.2
2016-06-12 02:37 atrol Target Version 1.3.0-rc.2 => 1.3.0
2016-07-10 07:57 atroladmin Target Version 1.3.0 => 1.3.1
2016-07-11 15:37 atrol Target Version 1.3.1 =>
2019-01-01 07:47 cproensa Relationship added related to 0009826
2019-01-01 07:53 cproensa Assigned To => cproensa
2019-01-01 07:53 cproensa Status new => resolved
2019-01-01 07:53 cproensa Resolution open => fixed
2019-01-01 07:53 cproensa Note Added: 0061126
2019-01-01 07:53 cproensa Note Edited: 0061126 View Revisions
2019-01-11 02:59 atrol Status resolved => closed